# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
# END SourceDeps(oneline)
%define fedora 21
%define configure_method 1

%if %{defined suse_version}
    %if %{?_lib} == "lib64"
        %define __cmake_lib_suffix -DLIB_SUFFIX=64
    %else
        %define __cmake_lib_suffix -DLIB_SUFFIX=
    %endif 

    %define cmake /usr/bin/cmake -DCMAKE_VERBOSE_MAKEFILE=ON -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} -DINCLUDE_INSTALL_DIR:PATH=%{_includedir} -DLIB_INSTALL_DIR:PATH=%{_libdir} -DSYSCONF_INSTALL_DIR:PATH=%{_sysconfdir} -DSHARE_INSTALL_PREFIX:PATH=%{_datadir} %{?__cmake_lib_suffix} -DBUILD_SHARED_LIBS:BOOL=ON -DCMAKE_BUILD_TYPE=Release -DNOT_INSTALL_PROJECT_DOCS=YES
%endif

Name:			basketpwd
Version:		0.4.8
Release:		alt2_2
Summary:		Basket of passwords
Summary(ru):	Корзинка паролей

%if (0%{?fedora} >0) && (0%{?rhel} > 0)
Group:			File tools
%else
Group:			File tools
%endif

License:		GPLv2
Source0:		http://repo.elemc.name/sources/basketpwd/basketpwd-0.4.8.tar.xz

%if (0%{?fedora} > 0)
Source100:		README.RFRemix
%endif

URL:			http://github.com/elemc/basketpwd

BuildRequires:	libssl-devel
BuildRequires:	gcc-c++
BuildRequires:	desktop-file-utils

%if 0%{?rhel} == 6
BuildRequires:	 qt4-devel
%endif

%if (0%{?fedora} < 14) && (0%{?fedora} > 0)
BuildRequires:	 qt4-devel
%endif

%if 0%{?fedora} >= 14
BuildRequires:	 qt4-devel
%endif

%if %{defined suse_version}
BuildRequires:	 qt4-devel
%endif

BuildRequires: ctest cmake
Source44: import.info

%description 
Basket of passwords
The program for storage and information management about passwords.

%description -l ru
Корзинка паролей
Программа для хранения и управления информацией о паролях.

%package devel
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contain header files for 
developing plugins that use Basket of passwords

%prep
%setup -q

%build

#README.RFRemix
%if (0%{?fedora} > 0)
cp %{SOURCE100} .
%endif

mkdir build-cmake
pushd build-cmake
%{fedora_cmake} ..
make %{?_smp_mflags}
popd

%install

pushd build-cmake
make install DESTDIR=$RPM_BUILD_ROOT
popd

desktop-file-install --dir=${RPM_BUILD_ROOT}%{_datadir}/applications tools/%{name}.desktop
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

%files
%{_bindir}/%{name}
%{_libdir}/libbasketlib.so
%{_datadir}/applications/%{name}.desktop
%_iconsdir/hicolor/*/*/*
%doc ChangeLog.txt README
%{_docdir}/*

%if (0%{?fedora} > 0)
%doc README.RFRemix
%endif

%files devel
%{_includedir}/*

%changelog
* Thu Oct 01 2020 Cronbuild Service <cronbuild@altlinux.org> 0.4.8-alt2_2
- rebuild to get rid of unmets

* Mon Oct 20 2014 Igor Vlasenko <viy@altlinux.ru> 0.4.8-alt1_2
- update to new release by fcimport

* Tue Dec 04 2012 Igor Vlasenko <viy@altlinux.ru> 0.4.7-alt1_1
- update to new release by fcimport

* Mon Aug 13 2012 Igor Vlasenko <viy@altlinux.ru> 0.4.5-alt1_3
- new release

